commit:     11a915dc086071bff70c080de2c29cc00d452c74
Author:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 15 04:13:35 2016 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Fri Jan 15 06:30:30 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11a915dc

net-irc/ngircd: revbump to vn. 23-r1 with corresponding updated init script

init script is files/ngircd.init-r1.d, ngircd-23-r1.ebuild edited to match,
script adds use logger to depend(), patch by maintainer via the gentoo bug

Gentoo bug: #503074

Package-Manager: portage-2.2.26

 net-irc/ngircd/files/ngircd.init-r1.d | 22 +++++++++
 net-irc/ngircd/ngircd-23-r1.ebuild    | 85 +++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/net-irc/ngircd/files/ngircd.init-r1.d 
b/net-irc/ngircd/files/ngircd.init-r1.d
new file mode 100644
index 0000000..ad7df21
--- /dev/null
+++ b/net-irc/ngircd/files/ngircd.init-r1.d
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+       need net
+       use logger
+       provide ircd
+}
+
+start() {
+       ebegin "Starting ngIRCd"
+       start-stop-daemon --start --quiet --exec /usr/sbin/ngircd
+       eend $?
+}
+
+stop() {
+       ebegin "Stopping ngIRCd"
+       start-stop-daemon --stop --quiet --exec /usr/sbin/ngircd
+       eend $?
+}

diff --git a/net-irc/ngircd/ngircd-23-r1.ebuild 
b/net-irc/ngircd/ngircd-23-r1.ebuild
new file mode 100644
index 0000000..6cfa1ab
--- /dev/null
+++ b/net-irc/ngircd/ngircd-23-r1.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit autotools-utils eutils user
+
+DESCRIPTION="An IRC server written from scratch"
+HOMEPAGE="http://ngircd.barton.de/";
+SRC_URI="http://ngircd.barton.de/pub/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x64-macos"
+IUSE="debug gnutls iconv ident ipv6 libressl pam ssl tcpd zlib"
+
+RDEPEND="
+       iconv? ( virtual/libiconv )
+       ident? ( net-libs/libident )
+       pam? ( virtual/pam )
+       ssl? (
+               !gnutls? (
+                       !libressl? ( dev-libs/openssl:0 )
+               )
+               gnutls? ( net-libs/gnutls )
+               libressl? ( dev-libs/libressl )
+       )
+       tcpd? ( sys-apps/tcp-wrappers )
+       zlib? ( sys-libs/zlib )
+"
+DEPEND="${RDEPEND}
+       >=sys-apps/sed-4
+"
+
+RESTRICT="test"
+
+src_configure() {
+       if ! use prefix; then
+               sed -i \
+                       -e "s:;ServerUID = 65534:ServerUID = ngircd:" \
+                       -e "s:;ServerGID = 65534:ServerGID = nogroup:" \
+                       doc/sample-ngircd.conf.tmpl || die
+       fi
+
+       local myeconfargs=(
+               --docdir="${EPREFIX}"/usr/share/doc/${PF}
+               --sysconfdir="${EPREFIX}"/etc/ngircd
+               $(use_enable debug sniffer)
+               $(use_enable debug)
+               $(use_enable ipv6)
+               $(use_with iconv)
+               $(use_with ident)
+               $(use_with pam)
+               $(use_with tcpd tcp-wrappers)
+               $(use_with zlib)
+       )
+
+       if use ssl; then
+               myeconfargs+=(
+                       $(use_with !gnutls openssl)
+                       $(use_with gnutls)
+               )
+       else
+               myeconfargs+=(
+                       --without-gnutls
+                       --without-openssl
+               )
+       fi
+
+       autotools-utils_src_configure
+}
+
+src_install() {
+       autotools-utils_src_install
+
+       newinitd "${FILESDIR}"/ngircd.init-r1.d ngircd
+}
+
+pkg_postinst() {
+       if ! use prefix; then
+               enewuser ngircd
+               chown ngircd "${ROOT}"/etc/ngircd/ngircd.conf
+       fi
+}

Reply via email to